## libfprint 1.94.7

=== debian/changelog ===
libfprint (1:1.94.7-2deepin1) unstable; urgency=medium

  * Disable ut synaptice and focaltech_moc

 -- xiangzelong <xiangzelong@deepin.org>  Thu, 30 May 2024 15:15:32 +0800

libfprint (1:1.94.7-2) unstable; urgency=medium

  * debian/patches: Cherry-pick patches to ignore tests missing dependencies
    (Closes: #1059027)
  * debian/control: Add build-dependency on gir1.2-{gobject,gio}-2.0-dev
  * debian/control: Add gir depends and provides fields to dev package

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 20 Feb 2024 08:42:26 +0100

libfprint (1:1.94.7-1) unstable; urgency=medium

  * New upstream release
  * debian/libfprint-2-2.postinst: Devices triggers updated
  * debian/patches: Drop, applied upstream
  * debian: use udev.pc to place udev rules and hwdb (Closes: #1058843)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 20 Feb 2024 06:46:40 +0100

libfprint (1:1.94.6-2) unstable; urgency=medium

  * debian/control: Update standards-version to 4.6.2, no change needed

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 24 Aug 2023 09:19:31 +0200

=== debian/control ===
Source: libfprint
Priority: optional
Section: libs
Maintainer: FingerForce Team <fingerforce-devel@lists.alioth.debian.org>
Uploaders: Ulises Vitulli <dererk@debian.org>,
           Marco Trevisan <marco@ubuntu.com>
Build-Depends: debhelper-compat (= 13),
               gir1.2-gobject-2.0-dev <!nogir>,
               gir1.2-gio-2.0-dev <!nogir>,
               gobject-introspection,
               gtk-doc-tools,
               libcairo-dev <!nocheck>,
               libgirepository1.0-dev,
               libglib2.0-dev,
               libgudev-1.0-dev,
               libgusb-dev,
               libnss3-dev,
               libpixman-1-dev,
               meson,
               python3 <!nocheck>,
               python3-cairo <!nocheck>,
               python3-gi <!nocheck>,
               systemd-dev,
               umockdev <!nocheck>
Build-Depends-Indep: libglib2.0-doc <!nodoc>, libgusb-doc <!nodoc>
Standards-Version: 4.6.2
Homepage: https://www.freedesktop.org/wiki/Software/fprint/libfprint
Vcs-Browser: https://salsa.debian.org/debian/libfprint
Vcs-Git: https://salsa.debian.org/debian/libfprint.git

Package: libfprint-2-2
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: async fingerprint library of fprint project, shared libraries
 The fprint project aims to support for consumer fingerprint reader devices.
 .
 Previously, Linux support for such devices has been scattered amongst different
 projects (many incomplete) and inconsistent in that application developers
 would have to implement support for each type of fingerprint reader separately.
 The idea is to change that by providing a central system to support all the
 fingerprint readers as it's possible to get hands on.
 .
 libfprint is the centre of efforts, this component does the dirty job of
 talking to fingerprint reading devices, and processing fingerprint data.
 .
 This library depends on the new libusb, which performs asynchronous callbacks,
 allowing fprint to perform non-blocking device tasks.
 .
 This package provides shared libraries.

Package: libfprint-2-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: gir1.2-fprint-2.0 (= ${binary:Version}),
         libfprint-2-2 (= ${binary:Version}),
         ${misc:Depends},
         ${gir:Depends},
Provides: ${gir:Provides},
Suggests: libfprint-2-doc
Description: async fingerprint library of fprint project, development headers
 The fprint project aims to support for consumer fingerprint reader devices.
 .
 Previously, Linux support for such devices has been scattered amongst different
 projects (many incomplete) and inconsistent in that application developers
 would have to implement support for each type of fingerprint reader separately.
 The idea is to change that by providing a central system to support all the
 fingerprint readers as it's possible to get hands on.
 .
 libfprint is the centre of efforts, this component does the dirty job of
 talking to fingerprint reading devices, and processing fingerprint data.
 .
 This library depends on the new libusb, which performs asynchronous callbacks,
 allowing fprint to perform non-blocking device tasks.
 .
 This package provides development headers.

Package: libfprint-2-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: async fingerprint library of fprint project, API documentation
 The fprint project aims to support for consumer fingerprint reader devices.
 .
 Previously, Linux support for such devices has been scattered amongst different
 projects (many incomplete) and inconsistent in that application developers
 would have to implement support for each type of fingerprint reader separately.
 The idea is to change that by providing a central system to support all the
 fingerprint readers as it's possible to get hands on.
 .
 libfprint is the centre of efforts, this component does the dirty job of
 talking to fingerprint reading devices, and processing fingerprint data.
 .
 This library depends on the new libusb, which performs asynchronous callbacks,
 allowing fprint to perform non-blocking device tasks.
 .
 This package provides the API documentation.

Package: gir1.2-fprint-2.0
Architecture: any
Multi-Arch: same
Section: introspection
Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: async fingerprint library of fprint project, gir bindings
 The fprint project aims to support for consumer fingerprint reader devices.
 .
 Previously, Linux support for such devices has been scattered amongst different
 projects (many incomplete) and inconsistent in that application developers
 would have to implement support for each type of fingerprint reader separately.
 The idea is to change that by providing a central system to support all the
 fingerprint readers as it's possible to get hands on.
 .
 libfprint is the centre of efforts, this component does the dirty job of
 talking to fingerprint reading devices, and processing fingerprint data.
 .
 This library depends on the new libusb, which performs asynchronous callbacks,
 allowing fprint to perform non-blocking device tasks.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings.

Package: libfprint-2-tests
Architecture: any
Depends: gir1.2-fprint-2.0 (= ${binary:Version}),
         libfprint-2-2 (= ${binary:Version}),
         python3,
         python3-cairo,
         python3-gi,
         umockdev,
         ${misc:Depends}, ${shlibs:Depends}
Description: Tests for async fingerprint library of fprint project
 The fprint project aims to support for consumer fingerprint reader devices.
 .
 Previously, Linux support for such devices has been scattered amongst different
 projects (many incomplete) and inconsistent in that application developers
 would have to implement support for each type of fingerprint reader separately.
 The idea is to change that by providing a central system to support all the
 fingerprint readers as it's possible to get hands on.
 .
 libfprint is the centre of efforts, this component does the dirty job of
 talking to fingerprint reading devices, and processing fingerprint data.
 .
 This library depends on the new libusb, which performs asynchronous callbacks,
 allowing fprint to perform non-blocking device tasks.
 .
 This package contains test programs, designed to be run as part of a
 regression testsuite.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
export DPKG_GENSYMBOLS_CHECK_LEVEL = 2

TIMEOUT_MULTIPLIER = 5
ifeq ($(DEB_HOST_ARCH), riscv64)
    TIMEOUT_MULTIPLIER = 20
endif

BUILDDIR = $(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)

# Configuration arguments
CONFIG_ARGS = \
	-Dudev_hwdb=enabled \
	-Dudev_rules=enabled \
	-Ddrivers=all \
	-Dgtk-examples=false

%:
	dh $@ --with gir

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIG_ARGS)

override_dh_auto_test:
	dh_auto_test -- -C $(BUILDDIR) --timeout-multiplier $(TIMEOUT_MULTIPLIER)

override_dh_auto_clean:
	rm -rf tests/__pycache__
	dh_auto_clean

## libfprint 1.94.7+tod1

=== debian/changelog ===
libfprint (1:1.94.7+tod1-0ubuntu5~24.04.4) noble; urgency=medium

  * d/p: Add new Synaptics device 06cb:019d (LP: #2114712)

 -- Atlas Yu <atlas.yu@canonical.com>  Fri, 16 Jun 2025 16:28:58 +0800

libfprint (1:1.94.7+tod1-0ubuntu5~24.04.3) noble; urgency=medium

  [ Dirk Su ]
  * d/p: Add new Synaptics devices 06cb:0107 and 06cb:0108 (LP: #2097831)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 10 Mar 2025 16:54:46 +0100

libfprint (1:1.94.7+tod1-0ubuntu5~24.04.2) noble; urgency=medium

  * debian/patches: Add new Elan device 04f3:0c9f (LP: #2089367)

 -- Yao Wei (魏銘廷) <yao.wei@canonical.com>  Fri, 22 Nov 2024 16:31:36 +0800

libfprint (1:1.94.7+tod1-0ubuntu5~24.04.1) noble; urgency=medium

  * d/p: Add new Broadcom device IDs to reduce the power consumption
    (LP: #2067785)
  * debian: Prepare for noble branching

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 14 Jun 2024 04:50:33 +0200

libfprint (1:1.94.7+tod1-0ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 01:56:39 +0000

libfprint (1:1.94.7+tod1-0ubuntu3) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 22:59:26 +0000

libfprint (1:1.94.7+tod1-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 05:21:12 +0000

libfprint (1:1.94.7+tod1-0ubuntu1) noble; urgency=medium

  * New upstream release
  * Merge packaging bits with debian, remaining changes:
    - Use tod upstream source
    - Update reference to tod binaries
  * debian/upstream/metadata: Update for tod light-fork

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 20 Feb 2024 09:27:24 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: libfprint
 Priority: optional
 Section: libs
-Maintainer: FingerForce Team <fingerforce-devel@lists.alioth.debian.org>
-Uploaders: Ulises Vitulli <dererk@debian.org>,
-           Marco Trevisan <marco@ubuntu.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: FingerForce Team <fingerforce-devel@lists.alioth.debian.org>
+Uploaders: Marco Trevisan <marco@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                gir1.2-gobject-2.0-dev <!nogir>,
                gir1.2-gio-2.0-dev <!nogir>,
@@ -25,8 +25,8 @@
 Build-Depends-Indep: libglib2.0-doc <!nodoc>, libgusb-doc <!nodoc>
 Standards-Version: 4.6.2
 Homepage: https://www.freedesktop.org/wiki/Software/fprint/libfprint
-Vcs-Browser: https://salsa.debian.org/debian/libfprint
-Vcs-Git: https://salsa.debian.org/debian/libfprint.git
+Vcs-Browser: https://salsa.debian.org/ubuntu-dev-team/libfprint/tree/noble
+Vcs-Git: https://salsa.debian.org/ubuntu-dev-team/libfprint.git -b noble
 
 Package: libfprint-2-2
 Architecture: any
@@ -121,6 +121,59 @@
  .
  This package can be used by other packages using the GIRepository format to
  generate dynamic bindings.
+
+Package: libfprint-2-tod1
+Architecture: any
+Multi-Arch: same
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Description: async fingerprint library of fprint project, drivers shared libraries
+ The fprint project aims to support for consumer fingerprint reader devices.
+ .
+ Previously, Linux support for such devices has been scattered amongst different
+ projects (many incomplete) and inconsistent in that application developers
+ would have to implement support for each type of fingerprint reader separately.
+ The idea is to change that by providing a central system to support all the
+ fingerprint readers as it's possible to get hands on.
+ .
+ libfprint is the centre of efforts, this component does the dirty job of
+ talking to fingerprint reading devices, and processing fingerprint data.
+ .
+ This library depends on the new libusb, which performs asynchronous callbacks,
+ allowing fprint to perform non-blocking device tasks.
+ .
+ This package provides shared libraries for the TOD drivers.
+
+Package: libfprint-2-tod-dev
+Section: libdevel
+Architecture: any
+Multi-Arch: same
+Depends: libfprint-2-tod1 (= ${binary:Version}),
+         libfprint-2-dev (= ${binary:Version}),
+         libglib2.0-dev (>= 2.56),
+         libgudev-1.0-dev,
+         libgusb-dev (>= 0.2.0),
+         libpixman-1-dev,
+         libnss3-dev,
+         ${misc:Depends}
+Description: async fingerprint library of fprint project, drivers development headers
+ The fprint project aims to support for consumer fingerprint reader devices.
+ .
+ Previously, Linux support for such devices has been scattered amongst different
+ projects (many incomplete) and inconsistent in that application developers
+ would have to implement support for each type of fingerprint reader separately.
+ The idea is to change that by providing a central system to support all the
+ fingerprint readers as it's possible to get hands on.
+ .
+ libfprint is the centre of efforts, this component does the dirty job of
+ talking to fingerprint reading devices, and processing fingerprint data.
+ .
+ This library depends on the new libusb, which performs asynchronous callbacks,
+ allowing fprint to perform non-blocking device tasks.
+ .
+ This package provides development headers for creating device drivers.
+ An example driver is available at:
+ https://gitlab.freedesktop.org/3v1n0/libfprint-tod-example-driver
 
 Package: libfprint-2-tests
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = optimize=-lto
export DPKG_GENSYMBOLS_CHECK_LEVEL = 2

BUILDDIR = $(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)

# Configuration arguments
CONFIG_ARGS = \
	-Dudev_hwdb=enabled \
	-Dudev_rules=enabled \
	-Ddrivers=all \
	-Dgtk-examples=false

%:
	dh $@ --with gir

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIG_ARGS)

override_dh_auto_test:
	dh_auto_test -- -C $(BUILDDIR) --timeout-multiplier 5

override_dh_auto_clean:
	rm -rf tests/__pycache__
	dh_auto_clean

## libfprint 1.94.8

=== debian/changelog ===
libfprint (1:1.94.8-1) unstable; urgency=medium

  * New upstream release
  * debian/watch: Update
  * debian/libfprint-2-2.postinst: Devices triggers updated
  * debian/patches: Drop, applied upstream
  * debian/control: Build-Depend on dh-sequence-gir
  * debian/control: Update Standards Version (no change required)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 03 Sep 2024 05:53:52 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,11 @@
 Source: libfprint
 Priority: optional
 Section: libs
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: FingerForce Team <fingerforce-devel@lists.alioth.debian.org>
-Uploaders: Marco Trevisan <marco@ubuntu.com>
+Maintainer: FingerForce Team <fingerforce-devel@lists.alioth.debian.org>
+Uploaders: Ulises Vitulli <dererk@debian.org>,
+           Marco Trevisan <marco@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
-               gir1.2-gobject-2.0-dev <!nogir>,
-               gir1.2-gio-2.0-dev <!nogir>,
-               gobject-introspection,
+               dh-sequence-gir,
                gtk-doc-tools,
                libcairo-dev <!nocheck>,
                libgirepository1.0-dev,
@@ -23,10 +21,10 @@
                systemd-dev,
                umockdev <!nocheck>
 Build-Depends-Indep: libglib2.0-doc <!nodoc>, libgusb-doc <!nodoc>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://www.freedesktop.org/wiki/Software/fprint/libfprint
-Vcs-Browser: https://salsa.debian.org/ubuntu-dev-team/libfprint/tree/noble
-Vcs-Git: https://salsa.debian.org/ubuntu-dev-team/libfprint.git -b noble
+Vcs-Browser: https://salsa.debian.org/debian/libfprint
+Vcs-Git: https://salsa.debian.org/debian/libfprint.git
 
 Package: libfprint-2-2
 Architecture: any
@@ -122,59 +120,6 @@
  This package can be used by other packages using the GIRepository format to
  generate dynamic bindings.
 
-Package: libfprint-2-tod1
-Architecture: any
-Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Pre-Depends: ${misc:Pre-Depends}
-Description: async fingerprint library of fprint project, drivers shared libraries
- The fprint project aims to support for consumer fingerprint reader devices.
- .
- Previously, Linux support for such devices has been scattered amongst different
- projects (many incomplete) and inconsistent in that application developers
- would have to implement support for each type of fingerprint reader separately.
- The idea is to change that by providing a central system to support all the
- fingerprint readers as it's possible to get hands on.
- .
- libfprint is the centre of efforts, this component does the dirty job of
- talking to fingerprint reading devices, and processing fingerprint data.
- .
- This library depends on the new libusb, which performs asynchronous callbacks,
- allowing fprint to perform non-blocking device tasks.
- .
- This package provides shared libraries for the TOD drivers.
-
-Package: libfprint-2-tod-dev
-Section: libdevel
-Architecture: any
-Multi-Arch: same
-Depends: libfprint-2-tod1 (= ${binary:Version}),
-         libfprint-2-dev (= ${binary:Version}),
-         libglib2.0-dev (>= 2.56),
-         libgudev-1.0-dev,
-         libgusb-dev (>= 0.2.0),
-         libpixman-1-dev,
-         libnss3-dev,
-         ${misc:Depends}
-Description: async fingerprint library of fprint project, drivers development headers
- The fprint project aims to support for consumer fingerprint reader devices.
- .
- Previously, Linux support for such devices has been scattered amongst different
- projects (many incomplete) and inconsistent in that application developers
- would have to implement support for each type of fingerprint reader separately.
- The idea is to change that by providing a central system to support all the
- fingerprint readers as it's possible to get hands on.
- .
- libfprint is the centre of efforts, this component does the dirty job of
- talking to fingerprint reading devices, and processing fingerprint data.
- .
- This library depends on the new libusb, which performs asynchronous callbacks,
- allowing fprint to perform non-blocking device tasks.
- .
- This package provides development headers for creating device drivers.
- An example driver is available at:
- https://gitlab.freedesktop.org/3v1n0/libfprint-tod-example-driver
-
 Package: libfprint-2-tests
 Architecture: any
 Depends: gir1.2-fprint-2.0 (= ${binary:Version}),

## libfprint 1.94.8+tod1

=== debian/changelog ===
libfprint (1:1.94.8+tod1-0ubuntu2~24.10.1) oracular; urgency=medium

  [ Dirk Su ]
  * d/p: Add new Synaptics devices 06cb:0107 and 06cb:0108 (LP: #2097831)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 10 Mar 2025 17:28:08 +0100

libfprint (1:1.94.8+tod1-0ubuntu1) oracular; urgency=medium

  * New upstream release
  * debian/watch: Update reference
  * debian/libfprint-2-2.postinst: Devices triggers updated
  * debian/patches: Drop, applied upstream
  * Reduce diff with debian
  * tests/tod-drivers: Remove rpath definitions

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 03 Sep 2024 07:14:08 +0200

libfprint (1:1.94.8-2) unstable; urgency=medium

  * debian/control: Build-Depend on dh-sequence-gir

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 03 Sep 2024 06:02:52 +0200

libfprint (1:1.94.7+tod1-0ubuntu5) oracular; urgency=medium

  * d/p: Add new Broadcom device IDs to reduce the power consumption
    (LP: #2067785)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 13 Jun 2024 19:38:52 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: libfprint
 Priority: optional
 Section: libs
-Maintainer: FingerForce Team <fingerforce-devel@lists.alioth.debian.org>
-Uploaders: Ulises Vitulli <dererk@debian.org>,
-           Marco Trevisan <marco@ubuntu.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: FingerForce Team <fingerforce-devel@lists.alioth.debian.org>
+Uploaders: Marco Trevisan <marco@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                gtk-doc-tools,
@@ -23,8 +23,8 @@
 Build-Depends-Indep: libglib2.0-doc <!nodoc>, libgusb-doc <!nodoc>
 Standards-Version: 4.7.0
 Homepage: https://www.freedesktop.org/wiki/Software/fprint/libfprint
-Vcs-Browser: https://salsa.debian.org/debian/libfprint
-Vcs-Git: https://salsa.debian.org/debian/libfprint.git
+Vcs-Browser: https://salsa.debian.org/ubuntu-dev-team/libfprint/tree/oracular
+Vcs-Git: https://salsa.debian.org/ubuntu-dev-team/libfprint.git -b oracular
 
 Package: libfprint-2-2
 Architecture: any
@@ -119,6 +119,59 @@
  .
  This package can be used by other packages using the GIRepository format to
  generate dynamic bindings.
+
+Package: libfprint-2-tod1
+Architecture: any
+Multi-Arch: same
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Description: async fingerprint library of fprint project, drivers shared libraries
+ The fprint project aims to support for consumer fingerprint reader devices.
+ .
+ Previously, Linux support for such devices has been scattered amongst different
+ projects (many incomplete) and inconsistent in that application developers
+ would have to implement support for each type of fingerprint reader separately.
+ The idea is to change that by providing a central system to support all the
+ fingerprint readers as it's possible to get hands on.
+ .
+ libfprint is the centre of efforts, this component does the dirty job of
+ talking to fingerprint reading devices, and processing fingerprint data.
+ .
+ This library depends on the new libusb, which performs asynchronous callbacks,
+ allowing fprint to perform non-blocking device tasks.
+ .
+ This package provides shared libraries for the TOD drivers.
+
+Package: libfprint-2-tod-dev
+Section: libdevel
+Architecture: any
+Multi-Arch: same
+Depends: libfprint-2-tod1 (= ${binary:Version}),
+         libfprint-2-dev (= ${binary:Version}),
+         libglib2.0-dev (>= 2.56),
+         libgudev-1.0-dev,
+         libgusb-dev (>= 0.2.0),
+         libpixman-1-dev,
+         libnss3-dev,
+         ${misc:Depends}
+Description: async fingerprint library of fprint project, drivers development headers
+ The fprint project aims to support for consumer fingerprint reader devices.
+ .
+ Previously, Linux support for such devices has been scattered amongst different
+ projects (many incomplete) and inconsistent in that application developers
+ would have to implement support for each type of fingerprint reader separately.
+ The idea is to change that by providing a central system to support all the
+ fingerprint readers as it's possible to get hands on.
+ .
+ libfprint is the centre of efforts, this component does the dirty job of
+ talking to fingerprint reading devices, and processing fingerprint data.
+ .
+ This library depends on the new libusb, which performs asynchronous callbacks,
+ allowing fprint to perform non-blocking device tasks.
+ .
+ This package provides development headers for creating device drivers.
+ An example driver is available at:
+ https://gitlab.freedesktop.org/3v1n0/libfprint-tod-example-driver
 
 Package: libfprint-2-tests
 Architecture: any

## libfprint 1.94.9

=== meson_options.txt ===
option('drivers',
       description: 'Drivers to integrate, "default" selects the default set, "all" selects all drivers',
       type: 'string',
       value: 'default')
option('introspection',
       description: 'Build GObject Introspection repository',
       type: 'boolean',
       value: true)
option('udev_rules',
       description: 'Whether to create and install udev rules (auto: turn on when needed by a driver)',
       type: 'feature',
       value: 'auto')
option('udev_rules_dir',
       description: 'Installation path for udev rules',
       type: 'string',
       value: 'auto')
option('udev_hwdb',
       description: 'Whether to create a udev hwdb for autosuspend (included in systemd v248 and later)',
       type: 'feature',
       value: 'auto')
option('udev_hwdb_dir',
       description: 'Installation path for udev hwdb',
       type: 'string',
       value: 'auto')
option('gtk-examples',
       description: 'Whether to build GTK+ example applications',
       type: 'boolean',
       value: false)
option('doc',
       description: 'Whether to build the API documentation',
       type: 'boolean',
       value: true)
option('installed-tests',
       description: 'Whether to install the installed tests',
       type: 'boolean',
       value: true)

=== debian/changelog ===
libfprint (1:1.94.9-1) unstable; urgency=medium

  * New upstream release
  * debian/libfprint-2-2.postinst: Devices triggers updated
  * debian/libfprint-2-2.install: Install metainfo data
  * debian/control: Replace NSS build dependency with OpenSSL
  * debian/control: Add b-d on GLib and Gio gir dev packages

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 20 Feb 2025 19:01:13 +0100

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,21 @@
 Source: libfprint
 Priority: optional
 Section: libs
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: FingerForce Team <fingerforce-devel@lists.alioth.debian.org>
-Uploaders: Marco Trevisan <marco@ubuntu.com>
+Maintainer: FingerForce Team <fingerforce-devel@lists.alioth.debian.org>
+Uploaders: Ulises Vitulli <dererk@debian.org>,
+           Marco Trevisan <marco@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
+               gir1.2-gobject-2.0-dev,
+               gir1.2-gio-2.0-dev,
                gtk-doc-tools,
                libcairo-dev <!nocheck>,
                libgirepository1.0-dev,
                libglib2.0-dev,
                libgudev-1.0-dev,
                libgusb-dev,
-               libnss3-dev,
                libpixman-1-dev,
+               libssl-dev,
                meson,
                python3 <!nocheck>,
                python3-cairo <!nocheck>,
@@ -23,8 +25,8 @@
 Build-Depends-Indep: libglib2.0-doc <!nodoc>, libgusb-doc <!nodoc>
 Standards-Version: 4.7.0
 Homepage: https://www.freedesktop.org/wiki/Software/fprint/libfprint
-Vcs-Browser: https://salsa.debian.org/ubuntu-dev-team/libfprint/tree/oracular
-Vcs-Git: https://salsa.debian.org/ubuntu-dev-team/libfprint.git -b oracular
+Vcs-Browser: https://salsa.debian.org/debian/libfprint
+Vcs-Git: https://salsa.debian.org/debian/libfprint.git
 
 Package: libfprint-2-2
 Architecture: any
@@ -120,59 +122,6 @@
  This package can be used by other packages using the GIRepository format to
  generate dynamic bindings.
 
-Package: libfprint-2-tod1
-Architecture: any
-Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Pre-Depends: ${misc:Pre-Depends}
-Description: async fingerprint library of fprint project, drivers shared libraries
- The fprint project aims to support for consumer fingerprint reader devices.
- .
- Previously, Linux support for such devices has been scattered amongst different
- projects (many incomplete) and inconsistent in that application developers
- would have to implement support for each type of fingerprint reader separately.
- The idea is to change that by providing a central system to support all the
- fingerprint readers as it's possible to get hands on.
- .
- libfprint is the centre of efforts, this component does the dirty job of
- talking to fingerprint reading devices, and processing fingerprint data.
- .
- This library depends on the new libusb, which performs asynchronous callbacks,
- allowing fprint to perform non-blocking device tasks.
- .
- This package provides shared libraries for the TOD drivers.
-
-Package: libfprint-2-tod-dev
-Section: libdevel
-Architecture: any
-Multi-Arch: same
-Depends: libfprint-2-tod1 (= ${binary:Version}),
-         libfprint-2-dev (= ${binary:Version}),
-         libglib2.0-dev (>= 2.56),
-         libgudev-1.0-dev,
-         libgusb-dev (>= 0.2.0),
-         libpixman-1-dev,
-         libnss3-dev,
-         ${misc:Depends}
-Description: async fingerprint library of fprint project, drivers development headers
- The fprint project aims to support for consumer fingerprint reader devices.
- .
- Previously, Linux support for such devices has been scattered amongst different
- projects (many incomplete) and inconsistent in that application developers
- would have to implement support for each type of fingerprint reader separately.
- The idea is to change that by providing a central system to support all the
- fingerprint readers as it's possible to get hands on.
- .
- libfprint is the centre of efforts, this component does the dirty job of
- talking to fingerprint reading devices, and processing fingerprint data.
- .
- This library depends on the new libusb, which performs asynchronous callbacks,
- allowing fprint to perform non-blocking device tasks.
- .
- This package provides development headers for creating device drivers.
- An example driver is available at:
- https://gitlab.freedesktop.org/3v1n0/libfprint-tod-example-driver
-
 Package: libfprint-2-tests
 Architecture: any
 Depends: gir1.2-fprint-2.0 (= ${binary:Version}),

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,5 @@
 #!/usr/bin/make -f
 
-export DEB_BUILD_MAINT_OPTIONS = optimize=-lto
 export DPKG_GENSYMBOLS_CHECK_LEVEL = 2
 
 BUILDDIR = $(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)
@@ -13,7 +12,7 @@
 	-Dgtk-examples=false
 
 %:
-	dh $@ --with gir
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(CONFIG_ARGS)

## libfprint 1.94.9+tod1

=== debian/changelog ===
libfprint (1:1.94.9+tod1-1build1) questing; urgency=medium

  * No-change rebuild for IEEE long double on ppc64el

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 22 Sep 2025 11:20:31 +0000

libfprint (1:1.94.9+tod1-1) plucky; urgency=medium

  * New upstream release:
    - Add new Synaptics devices 06cb:0107 and 06cb:0108 (LP: #2097831)
  * Merge with debian packaging changes
  * debian/libfprint-2-2.postinst: Devices triggers updated

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 20 Feb 2025 19:28:58 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: libfprint
 Priority: optional
 Section: libs
-Maintainer: FingerForce Team <fingerforce-devel@lists.alioth.debian.org>
-Uploaders: Ulises Vitulli <dererk@debian.org>,
-           Marco Trevisan <marco@ubuntu.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: FingerForce Team <fingerforce-devel@lists.alioth.debian.org>
+Uploaders: Marco Trevisan <marco@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                gir1.2-gobject-2.0-dev,
@@ -25,8 +25,8 @@
 Build-Depends-Indep: libglib2.0-doc <!nodoc>, libgusb-doc <!nodoc>
 Standards-Version: 4.7.0
 Homepage: https://www.freedesktop.org/wiki/Software/fprint/libfprint
-Vcs-Browser: https://salsa.debian.org/debian/libfprint
-Vcs-Git: https://salsa.debian.org/debian/libfprint.git
+Vcs-Browser: https://salsa.debian.org/ubuntu-dev-team/libfprint
+Vcs-Git: https://salsa.debian.org/ubuntu-dev-team/libfprint.git -b ubuntu
 
 Package: libfprint-2-2
 Architecture: any
@@ -121,6 +121,59 @@
  .
  This package can be used by other packages using the GIRepository format to
  generate dynamic bindings.
+
+Package: libfprint-2-tod1
+Architecture: any
+Multi-Arch: same
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Description: async fingerprint library of fprint project, drivers shared libraries
+ The fprint project aims to support for consumer fingerprint reader devices.
+ .
+ Previously, Linux support for such devices has been scattered amongst different
+ projects (many incomplete) and inconsistent in that application developers
+ would have to implement support for each type of fingerprint reader separately.
+ The idea is to change that by providing a central system to support all the
+ fingerprint readers as it's possible to get hands on.
+ .
+ libfprint is the centre of efforts, this component does the dirty job of
+ talking to fingerprint reading devices, and processing fingerprint data.
+ .
+ This library depends on the new libusb, which performs asynchronous callbacks,
+ allowing fprint to perform non-blocking device tasks.
+ .
+ This package provides shared libraries for the TOD drivers.
+
+Package: libfprint-2-tod-dev
+Section: libdevel
+Architecture: any
+Multi-Arch: same
+Depends: libfprint-2-tod1 (= ${binary:Version}),
+         libfprint-2-dev (= ${binary:Version}),
+         libglib2.0-dev (>= 2.56),
+         libgudev-1.0-dev,
+         libgusb-dev (>= 0.2.0),
+         libpixman-1-dev,
+         libnss3-dev,
+         ${misc:Depends}
+Description: async fingerprint library of fprint project, drivers development headers
+ The fprint project aims to support for consumer fingerprint reader devices.
+ .
+ Previously, Linux support for such devices has been scattered amongst different
+ projects (many incomplete) and inconsistent in that application developers
+ would have to implement support for each type of fingerprint reader separately.
+ The idea is to change that by providing a central system to support all the
+ fingerprint readers as it's possible to get hands on.
+ .
+ libfprint is the centre of efforts, this component does the dirty job of
+ talking to fingerprint reading devices, and processing fingerprint data.
+ .
+ This library depends on the new libusb, which performs asynchronous callbacks,
+ allowing fprint to perform non-blocking device tasks.
+ .
+ This package provides development headers for creating device drivers.
+ An example driver is available at:
+ https://gitlab.freedesktop.org/3v1n0/libfprint-tod-example-driver
 
 Package: libfprint-2-tests
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,6 @@
 #!/usr/bin/make -f
 
+export DEB_BUILD_MAINT_OPTIONS = optimize=-lto
 export DPKG_GENSYMBOLS_CHECK_LEVEL = 2
 
 BUILDDIR = $(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)

=== debian/tests/control ===
Test-Command: gnome-desktop-testing-runner libfprint-2
Features: test-name=installed-tests
Classes: desktop
Depends: gnome-desktop-testing,
         libfprint-2-tests
Restrictions: allow-stderr

=== debian/watch ===
version=4

opts="searchmode=plain" \
https://gitlab.freedesktop.org/3v1n0/@PACKAGE@/tags?sort=updated_desc \
  -/archive/v?\d[\d.]+\+tod\d+/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@

## libfprint 1.94.10

=== debian/changelog ===
libfprint (1:1.94.10-1) unstable; urgency=medium

  * New upstream release
  * debian/libfprint-2-2.postinst: Devices triggers updated
  * debian/copyright: Update to readable DEP-5 format
  * debian/control: B-D on gobject-introspection

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 10 Feb 2026 04:18:02 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: libfprint
 Priority: optional
 Section: libs
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: FingerForce Team <fingerforce-devel@lists.alioth.debian.org>
-Uploaders: Marco Trevisan <marco@ubuntu.com>
+Maintainer: FingerForce Team <fingerforce-devel@lists.alioth.debian.org>
+Uploaders: Ulises Vitulli <dererk@debian.org>,
+           Marco Trevisan <marco@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                gir1.2-gobject-2.0-dev,
                gir1.2-gio-2.0-dev,
+               gobject-introspection,
                gtk-doc-tools,
                libcairo-dev <!nocheck>,
-               libgirepository1.0-dev,
                libglib2.0-dev,
                libgudev-1.0-dev,
                libgusb-dev,
@@ -25,8 +25,8 @@
 Build-Depends-Indep: libglib2.0-doc <!nodoc>, libgusb-doc <!nodoc>
 Standards-Version: 4.7.0
 Homepage: https://www.freedesktop.org/wiki/Software/fprint/libfprint
-Vcs-Browser: https://salsa.debian.org/ubuntu-dev-team/libfprint
-Vcs-Git: https://salsa.debian.org/ubuntu-dev-team/libfprint.git -b ubuntu
+Vcs-Browser: https://salsa.debian.org/debian/libfprint
+Vcs-Git: https://salsa.debian.org/debian/libfprint.git
 
 Package: libfprint-2-2
 Architecture: any
@@ -122,59 +122,6 @@
  This package can be used by other packages using the GIRepository format to
  generate dynamic bindings.
 
-Package: libfprint-2-tod1
-Architecture: any
-Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Pre-Depends: ${misc:Pre-Depends}
-Description: async fingerprint library of fprint project, drivers shared libraries
- The fprint project aims to support for consumer fingerprint reader devices.
- .
- Previously, Linux support for such devices has been scattered amongst different
- projects (many incomplete) and inconsistent in that application developers
- would have to implement support for each type of fingerprint reader separately.
- The idea is to change that by providing a central system to support all the
- fingerprint readers as it's possible to get hands on.
- .
- libfprint is the centre of efforts, this component does the dirty job of
- talking to fingerprint reading devices, and processing fingerprint data.
- .
- This library depends on the new libusb, which performs asynchronous callbacks,
- allowing fprint to perform non-blocking device tasks.
- .
- This package provides shared libraries for the TOD drivers.
-
-Package: libfprint-2-tod-dev
-Section: libdevel
-Architecture: any
-Multi-Arch: same
-Depends: libfprint-2-tod1 (= ${binary:Version}),
-         libfprint-2-dev (= ${binary:Version}),
-         libglib2.0-dev (>= 2.56),
-         libgudev-1.0-dev,
-         libgusb-dev (>= 0.2.0),
-         libpixman-1-dev,
-         libnss3-dev,
-         ${misc:Depends}
-Description: async fingerprint library of fprint project, drivers development headers
- The fprint project aims to support for consumer fingerprint reader devices.
- .
- Previously, Linux support for such devices has been scattered amongst different
- projects (many incomplete) and inconsistent in that application developers
- would have to implement support for each type of fingerprint reader separately.
- The idea is to change that by providing a central system to support all the
- fingerprint readers as it's possible to get hands on.
- .
- libfprint is the centre of efforts, this component does the dirty job of
- talking to fingerprint reading devices, and processing fingerprint data.
- .
- This library depends on the new libusb, which performs asynchronous callbacks,
- allowing fprint to perform non-blocking device tasks.
- .
- This package provides development headers for creating device drivers.
- An example driver is available at:
- https://gitlab.freedesktop.org/3v1n0/libfprint-tod-example-driver
-
 Package: libfprint-2-tests
 Architecture: any
 Depends: gir1.2-fprint-2.0 (= ${binary:Version}),

## libfprint 1.94.10+tod1

=== debian/changelog ===
libfprint (1:1.94.10+tod1-0ubuntu1) resolute; urgency=medium

  * New upstream release
  * debian/libfprint-2-2.postinst: Devices triggers updated
  * debian/copyright: Update to readable DEP-5 format
  * debian/control: B-D on gobject-introspection

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 10 Feb 2026 05:13:32 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: libfprint
 Priority: optional
 Section: libs
-Maintainer: FingerForce Team <fingerforce-devel@lists.alioth.debian.org>
-Uploaders: Ulises Vitulli <dererk@debian.org>,
-           Marco Trevisan <marco@ubuntu.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: FingerForce Team <fingerforce-devel@lists.alioth.debian.org>
+Uploaders: Marco Trevisan <marco@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                gir1.2-gobject-2.0-dev,
@@ -25,8 +25,8 @@
 Build-Depends-Indep: libglib2.0-doc <!nodoc>, libgusb-doc <!nodoc>
 Standards-Version: 4.7.0
 Homepage: https://www.freedesktop.org/wiki/Software/fprint/libfprint
-Vcs-Browser: https://salsa.debian.org/debian/libfprint
-Vcs-Git: https://salsa.debian.org/debian/libfprint.git
+Vcs-Browser: https://salsa.debian.org/ubuntu-dev-team/libfprint
+Vcs-Git: https://salsa.debian.org/ubuntu-dev-team/libfprint.git -b ubuntu
 
 Package: libfprint-2-2
 Architecture: any
@@ -121,6 +121,59 @@
  .
  This package can be used by other packages using the GIRepository format to
  generate dynamic bindings.
+
+Package: libfprint-2-tod1
+Architecture: any
+Multi-Arch: same
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Description: async fingerprint library of fprint project, drivers shared libraries
+ The fprint project aims to support for consumer fingerprint reader devices.
+ .
+ Previously, Linux support for such devices has been scattered amongst different
+ projects (many incomplete) and inconsistent in that application developers
+ would have to implement support for each type of fingerprint reader separately.
+ The idea is to change that by providing a central system to support all the
+ fingerprint readers as it's possible to get hands on.
+ .
+ libfprint is the centre of efforts, this component does the dirty job of
+ talking to fingerprint reading devices, and processing fingerprint data.
+ .
+ This library depends on the new libusb, which performs asynchronous callbacks,
+ allowing fprint to perform non-blocking device tasks.
+ .
+ This package provides shared libraries for the TOD drivers.
+
+Package: libfprint-2-tod-dev
+Section: libdevel
+Architecture: any
+Multi-Arch: same
+Depends: libfprint-2-tod1 (= ${binary:Version}),
+         libfprint-2-dev (= ${binary:Version}),
+         libglib2.0-dev (>= 2.56),
+         libgudev-1.0-dev,
+         libgusb-dev (>= 0.2.0),
+         libpixman-1-dev,
+         libnss3-dev,
+         ${misc:Depends}
+Description: async fingerprint library of fprint project, drivers development headers
+ The fprint project aims to support for consumer fingerprint reader devices.
+ .
+ Previously, Linux support for such devices has been scattered amongst different
+ projects (many incomplete) and inconsistent in that application developers
+ would have to implement support for each type of fingerprint reader separately.
+ The idea is to change that by providing a central system to support all the
+ fingerprint readers as it's possible to get hands on.
+ .
+ libfprint is the centre of efforts, this component does the dirty job of
+ talking to fingerprint reading devices, and processing fingerprint data.
+ .
+ This library depends on the new libusb, which performs asynchronous callbacks,
+ allowing fprint to perform non-blocking device tasks.
+ .
+ This package provides development headers for creating device drivers.
+ An example driver is available at:
+ https://gitlab.freedesktop.org/3v1n0/libfprint-tod-example-driver
 
 Package: libfprint-2-tests
 Architecture: any

## libfprint 1.95.0+tod1

=== debian/changelog ===
libfprint (1:1.95.0+tod1-0ubuntu1) resolute; urgency=medium

  * New upstream release:
    - Add driver for egis_etu905: 1c7a:05ae fingerprint reader
    - Add SDCP support and API for TOD drivers
  * debian/libfprint-2-2.postinst: Devices triggers updated
  * debian/libfprint-2-tod1.symbols: Update with new drivers API symbols
  * debian/libfprint-2-2.symbols: Update

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 20 Feb 2026 14:34:20 +0100
